Subject: [saag] kitten Summary - IETF 89

From: Shawn M Emery <[email-masked]>
Date: Wed, 05 Mar 2014 07:38:28 -0700

*Steps back out of time machine*

Co-chairs: Sam Hartman, Shawn Emery, and Josh Howlett (DNA)

The WG met for the Thursday Afternoon Session II (after the SAAG meeting)

I've included the high-lighted topics on the agenda that were discussed:

GS2 Updates
   Discussed updates to the SASL-GS2 specification to remove the requirement for
   mechanisms that do not provide mutual authentication.

Updates to OAuth
   Discussed updates to the OAuth draft to remove GS2 related text.

AES-SHA2
   Discussed consensus results of draft-ietf-kitten-aes-cbc-hmac-sha2 to use CTS mode
   and the RFC 3961/3962 confounder algorithm.
  
RFC 6112 and 4402 Issues
   Discussed issues with the associated RFCs:
	6112:	KeyExchange -> KEYEXCHANGE
		Anonymous KDC option MUST, not SHOULD, be set when using an anonymous ticket
	4402:	PRF starts counter at 1, however some implementations start at 0

Per-user Host-based Services and S4U2Proxy Improvements
   Discussed new drafts submitted:
	draft-dukhovni-using-wildcard-a-rrsets-00
	draft-williams-kitten-impersonation-naming-attr-00

RFC 5653 Update
   Discussed proposal to update the RFC to include GSSException that provides an error token.

Open mic
   There were no dissenting comments.

Shawn.
--
kitten co-chair